omweather (0.27.9) unstable; urgency=low

  * Tested memory leaks for Diablo 

 -- Vlad Vasiliev <vlad@gas.by>  Mon, 21 June 2010 17:10:20 +0200

omweather (0.27.8) unstable; urgency=low

  * Tested memory leaks for Diablo 

 -- Vlad Vasiliev <vlad@gas.by>  Sun, 20 June 2010 22:39:20 +0200

omweather (0.27.7) unstable; urgency=low

  * Tested memory leaks for Diablo 

 -- Vlad Vasiliev <vlad@gas.by>  Sun, 20 June 2010 22:39:20 +0200

omweather (0.27.6) unstable; urgency=low

  * Tested memory leaks for Diablo 

 -- Vlad Vasiliev <vlad@gas.by>  Sun, 20 June 2010 22:39:20 +0200

omweather (0.27.5) unstable; urgency=low

  * Tested memory leaks for Diablo 

 -- Vlad Vasiliev <vlad@gas.by>  Sun, 20 June 2010 22:39:20 +0200

omweather (0.27.4) unstable; urgency=low

  * Tested memory leaks for Diablo 

 -- Vlad Vasiliev <vlad@gas.by>  Thu, 17 June 2010 22:39:20 +0200

omweather (0.27.3) unstable; urgency=low

  * Tested memory leak 

 -- Vlad Vasiliev <vlad@gas.by>  Thu, 17 June 2010 22:39:20 +0200

omweather (0.27.2) unstable; urgency=low

  * Tested memory leak 

 -- Vlad Vasiliev <vlad@gas.by>  Thu, 17 June 2010 15:39:20 +0200

omweather (0.27.1) unstable; urgency=low

  * Tested memory leak 
  * Fixed problem with default choice in layouts selecting

 -- Vlad Vasiliev <vlad@gas.by>  Thu, 17 June 2010 07:39:20 +0200

omweather (0.27) unstable; urgency=low

  * Added new external view 'Custom' for Fremantle
  * Adapted to Diablo 

 -- Vlad Vasiliev <vlad@gas.by>  Sat, 01 May 2010 20:39:20 +0200

omweather (0.26.4) unstable; urgency=low

  * Updated Spanish translation 
  * Fixed problem with applet's reloading after changing settings of external
    view
  * Fixed various gcc warnings   

 -- Vlad Vasiliev <vlad@gas.by>  Sat, 01 May 2010 20:39:20 +0200

omweather (0.26.3) unstable; urgency=low

  * Improvement in downloading algorithm
  * Fixed bug #10016 "Widget style option "Now, today and tomorrow" actually "Now + 2 days"
  * Disabled an animation if applet isn't visible
  * Fixed bug #7753 "updating omweather causes desktop applet to reappear"
  * Updated Finish, Germany and Russian translation

 -- Vlad Vasiliev <vlad@gas.by>  Sat, 01 May 2010 20:39:20 +0200

omweather (0.26.2) unstable; urgency=low

  * Fixed problem with DBUS  
  * Fixed bug #5910 "Widget settings overwrite app settings when app is first
    started and confiugred from Applications"
  * Fixed problem with double start of settings window
  * Fixed bug #6469 "The first title in detailed weather view partially visible"

 -- Vlad Vasiliev <vlad@gas.by>  Mon, 19 Apr 2010 19:22:10 +0200

omweather (0.26.1) unstable; urgency=low

  * Changed in external view for moon widget
  * Fixed problem with GPS stations

 -- Vlad Vasiliev <vlad@gas.by>  Sun, 28 Feb 2010 16:11:10 +0200

omweather (0.26) unstable; urgency=low

  * Fixed bug #5362 "Home's layout for the widget doesn't match the visible layout"
  * Fixed bug #8960 "GPS station does not update"
  * Fixed problem with adding or modifying a new station in configuration window
  * Added pressure to expanded view for all days (it presents only in
    gismeteo.ru source)

 -- Vlad Vasiliev <vlad@gas.by>  Sun, 28 Feb 2010 16:11:10 +0200

omweather (0.25.8) unstable; urgency=low

  * Bug in promotion phase in builder for package 0.25.7 (armel)
  http://maemo.org/packages/package_instance/view/fremantle_extras-devel_free_armel/omweather/0.25.7/

 -- Vlad Vasiliev <vlad@gas.by>  Sat, 27 Feb 2010 16:11:10 +0200

omweather (0.25.7) unstable; urgency=low

  * Fixed bug #9293 "update problem"

 -- Vlad Vasiliev <vlad@gas.by>  Fri, 26 Feb 2010 16:11:10 +0200

omweather (0.25.6) unstable; urgency=low

  * Fixed bug #5976 "Clearing a station doesn't result in the same state as the initial state"
  * Fixed bug #6125 "please don't use system modal dialogs"
  * Improved algorithm for updating data
  * Fixed small memory leak 

 -- Vlad Vasiliev <vlad@gas.by>  Fri, 26 Feb 2010 13:11:10 +0200

omweather (0.25.5) unstable; urgency=low

  * Fixed bug #9167 "Automatic update doesn't always work"

 -- Vlad Vasiliev <vlad@gas.by>  Mon, 22 Feb 2010 03:11:10 +0200

omweather (0.25.4) unstable; urgency=low

  * Updated German, Finish, Spanish, French, Poland translations

 -- Vlad Vasiliev <vlad@gas.by>  Sun, 21 Feb 2010 23:11:10 +0200

omweather (0.25.3) unstable; urgency=low

  * Fixed problem with widgets layout in Settings window 
  * Added field Xsbc-Bugtracker in control file
  * Added day length
  * Fixed some problems in GPS code

 -- Vlad Vasiliev <vlad@gas.by>  Sun, 14 Feb 2010 22:11:10 +0200

omweather (0.25.2) unstable; urgency=low

  * Fixed problem with updating if GSM and WLAN checkboxes is disabled
  * Fixed bug #6488 "Cannot use desktop when omweather details open"
  * Fixed bug #8424 "Updating via 3G/GPRS unsuccessful"
  * Added Hildon Pannable Area for stations
  * Fixed segmentation fault if omweather doesn't have stations

 -- Vlad Vasiliev <vlad@gas.by>  Sun, 14 Feb 2010 22:11:10 +0200

omweather (0.25.1) unstable; urgency=low

  * Fixed problem with autoupdating and with updating in first start 

 -- Vlad Vasiliev <vlad@gas.by>  Tue, 02 Feb 2010 13:10:10 +0200

omweather (0.25) unstable; urgency=low

  * Various minor fixes
  * Created animations for icons using HildonAnimation functions
  * Changed default vaild time for current weather to 4 hours
  * Done backup mechanism for Fremantle
  * Increased icons on toolbar in application mode
  * Updated German, Finish, Spanish, Russian, French translations

 -- Vlad Vasiliev <vlad@gas.by>  Sun, 31 Jan 2010 21:20:10 +0200

omweather (0.24.11) unstable; urgency=low

  * Fixed bug #5592 "Add Beaufort scale for wind speed"
  * Fixed bug #6339 "Decimal points in wind speed values are always "00" for kilometers per hour"
  * Fixed problem with updating weather forecast for more than for 5 stations
  * Fixed problem with killing omweather in application mode
  * Fixed problem with help files for OS2008 (Diablo, Chinook)
  * Removed file omweather.xml from root directory
  * Fixed a small memeory leak

 -- Vlad Vasiliev <vlad@gas.by>  Mon, 30 Nov 2009 19:29:11 +0200

omweather (0.24.10) unstable; urgency=low

  * Fixed problem with i18n
  * Updated German, Finish, Spanish, Russian translations

 -- Vlad Vasiliev <vlad@gas.by>  Sat, 28 Nov 2009 19:29:11 +0200
 
omweather (0.24.9) unstable; urgency=low

  * Fixed problem with start by a browser after click in wearther source url
  * Weather.com stations db is default now
  * Fixed bug #5975 "Update weather" <information banner> should be "Updating weather"
  * Fixed bug #5986 "No auto-updates via gsm network"
  * Fixed bug #6226 "Add Polish translation"
  * Fixed bug #5977 "Settings buttons should have left aligned text"
  * Fixed bug #5878 "problem with widgets layout"
  * Hildonized some elements in settings window
  * Added donation URL
  * Updated German, Finish, Spanish, Russian translations

 -- Vlad Vasiliev <vlad@gas.by>  Sat, 28 Nov 2009 18:18:11 +0200

omweather (0.24.8) unstable; urgency=low

  * Removed mawk,awk depending
  * Removed button 'OK' in dialog "About" for Femantle
  * Changed description in debian/control file

 -- Vlad Vasiliev <vlad@gas.by>  Sun, 25 Oct 2009 14:19:20 +0200

omweather (0.24.7) unstable; urgency=low

  * Fixed bug in UI "If city with long names are set in Station 1 and
    Station 2, the settings dialog moves the Station 4 box to the right and almost off the screen.(http://www.tinypic.com/r/2h5uvcj/4)"
  * Fixed bug #5627 "Missing strings for localization"
  * Fixed problem with stations which include symbol "'" in the name
  * Fixed small memory leak in settings window
  * Fixed bug #5591 "Sunrise and sunset is not correct on detailed view"
  * Fixed layouts "Now, today and tommorow"  and "Now + e days vert."
  * Fixed critical bug #5747 "OMWeather applet crashes when "Widget style" button is used"

 -- Vlad Vasiliev <vlad@gas.by>  Sun, 25 Oct 2009 12:17:20 +0200

omweather (0.24.6) unstable; urgency=low

  * Fixed problem with GPS for Fremantle
  * Fixed bug with null icons on display if iconset was deinstalled from system
  * Done optified
  * Fixed problem with the text/button layout in the Update settings
  * Fixed problem with long strings in popup window for non Engligh Languages
  * Fixed some untranslated strings
  * Fixed bug #5363 "Theming bugs on buttons in settings and Forecast"
  * Fixed bug #5473 for omweather package "Small icon for all OMweather packages in application manager"
  * Updated Finish, Russian, French, Germany translations
  * Fixed bug #5465 "Better Translation (DE) for one menu item"

 -- Vlad Vasiliev <vlad@gas.by>  Thu, 20 Oct 2009 19:15:10 +0200

omweather (0.24.5) unstable; urgency=low

  * Fixed problem with button GPS

 -- Vlad Vasiliev <vlad@gas.by>  Thu, 24 Sep 2009 06:15:10 +0200

omweather (0.24.4) unstable; urgency=low

  * Various minor fixes
  * Fixed small memory leaks in configurations window
  * Fixed bug #5083 "Remove/hide mnemonics for buttons"
  * Fixed bug #5804 '"Source" should default to "weather.com" if  no other providers available'
  * Fixed bug #5122 "XB-Maemo-Display-Name not used in debian/control"
  * Fixed bug #5086 "Settings > Update > Period: Cropped "4 hours" setting"
  * Fixed bug #5087 '"Not available for this country" instead of empty "Selecting station" list'

 -- Vlad Vasiliev <vlad@gas.by>  Wed, 23 Sep 2009 17:20:10 +0200

omweather (0.24.3) unstable; urgency=low

  * Various minor fixes
  * Fixed bug #4748 "omweather asks me to reboot my device on every update" for Fremantle
  * Updated German translations

 -- Vlad Vasiliev <vlad@gas.by>  Wed, 02 Sep 2009 11:20:10 +0200

omweather (0.24.2) unstable; urgency=low

  * Various minor fixes
  * Fixed bug #4971 ""Wrong station code or ZIP code!!" warning when installing"

 -- Vlad Vasiliev <vlad@gas.by>  Thu, 24 Aug 2009 19:40:10 +0200

omweather (0.24) unstable; urgency=low

  * Updated German, Finish, Spanish, Russian translations
  * Done automatically download the weather forecast after adding of a station, if device is connected to Internet
  * Fixed a problem with gps station choosing
  * Small fixes in popup windows
  * Changed in postinstall script
  * Changed parameter 'type of connection for automatically downloading' by default is WLAN only
  * Changed parameter 'Swap temperature' by default is TRUE
  * Added 'hd_home_plugin_item_set_settings' to widget
  * Various minor fixes

 -- Vlad Vasiliev <vlad@gas.by>  Thu, 20 Aug 2009 19:40:10 +0200

omweather (0.23.4) unstable; urgency=low

  * Fixed the crashing after update deb package

 -- Vlad Vasiliev <vlad@gas.by>  Thu, 11 Aug 2009 18:30:00 +0200

omweather (0.23.3) unstable; urgency=low

  * Modified acknowledgment and copyright lists
  * Various small fixes
  * Fixed memory leaks
  * Corrected behaviour of details weather forecasts for a current day

 -- Vlad Vasiliev <vlad@gas.by>  Thu, 11 Aug 2009 18:30:00 +0200

omweather (0.23.2) unstable; urgency=low

  * Fixed problem with switching between stations if stations list has nil stations
  * Fixed problem with detailed weather for current day
  * Now next station changing in inside popup window without destroying it
  * Fixed problem with scrolling in popup window
  * Done feature request from Daniel Wilms "automatically connect to gps service after selecting of gps station"

 -- Vlad Vasiliev <vlad@gas.by>  Thu, 07 Jun 2009 18:30:00 +0200

omweather (0.23.1) unstable; urgency=low

  * Fixed problem with on/off GSM or WLAN downloading for current connection
  * Done scroll to child for pannable_area in window popup
  * Added button 'Clear' for window 'Configuring station'
  * Removed 'Expanded/Collapsed' togglebuttons in status window

 -- Vlad Vasiliev <vlad@gas.by>  Thu, 06 Jun 2009 18:30:00 +0200

omweather (0.23) unstable; urgency=low

  * New design

 -- Vlad Vasiliev <vlad@gas.by>  Wed, 05 Jun 2009 10:30:00 +0200

omweather (0.22.7) unstable; urgency=low

  * Fixed problem with updating data for more than 5 stations
  * Fixed problem with buttons in popup window

 -- Vlad Vasiliev <vlad@gas.by>  Fri, 11 Dec 2009 14:30:00 +0200

omweather (0.22.6) unstable; urgency=low

  * Fixed problem with hours data from weather.com
  * Fixed problem with autofill field of region

 -- Vlad Vasiliev <vlad@gas.by>  Wed, 09 Jul 2009 21:30:00 +0200

omweather (0.22.5) unstable; urgency=low

  * Fixed problem with weather.com

 -- Vlad Vasiliev <vlad@gas.by>  Thu, 07 Jul 2009 21:30:00 +0200

omweather (0.22.4) unstable; urgency=low

  * Fixed small memory leaks
  * Corrected package icon
  * Fixed various small bugs
  * Removed from package not using png and json files
  * Fixed problem with crashing applet after changing orientation of device (Fremantle)
  * Enabled GPS check box for Fremantle 

 -- Vlad Vasiliev <vlad@gas.by>  Wed, 21 Jun 2009 20:30:00 +0200

omweather (0.22.3) unstable; urgency=low

  * Added dependence on the omweather-source
  * Fixed small memory leaks
  * Option 'hours  weather forecast' is enabled by default now

 -- Vlad Vasiliev <vlad@gas.by>  Wed, 17 Jun 2009 20:50:00 +0200

omweather (0.22.2) unstable; urgency=low

  * Added possibility, automatically to change orientation (a portrait or a landscape) for OS2009
  * Added fullscreen button for application mode
  * Fixed problem with downloading weather forecast
  * Increased some labels in settings window
  * Fixed problem with proxy config parameter
  * Various small fixes

 -- Vlad Vasiliev <vlad@gas.by>  Sun, 3 May 2009 20:50:00 +0200

omweather (0.22.1) unstable; urgency=low

  * Changed default background to black colour
  * Added omweather-home.desktop for OS2009
  * Removed libhildon-help for OS2009
  * Done transparency for OS2009 

 -- Vlad Vasiliev <vlad@gas.by>  Sun, 3 May 2009 20:50:00 +0200

 -- Vlad Vasiliev <vlad@gas.by>  Mon, 20 Apr 2009 13:36:00 +0200

omweather (0.22) unstable; urgency=low

  * Added precipitation
  * Added possibility to change position of text near of icon on main display
  * Added option 'non-cache' for downloading of weather forecast data
  * Fixed bug #3760 'Missing or erroneous weather status translation'
  * Added clutter animations
  * Added new mode - "Application"

 -- Vlad Vasiliev <vlad@gas.by>  Mon, 20 Apr 2009 13:36:00 +0200

omweather (0.21.10) unstable; urgency=low

  * Updated French tranlation
  * Fixed the bug #3550 "Problem with data from xoap.weather.com"
  * Added possibility launch popup window with long press instead of simple click FR #2967
  * Fixed problem with red button (delete) on Settings window in OS2006

 -- Vlad Vasiliev <vlad@gas.by>  Wed, 18 Mar 2009 19:21:00 +0200

omweather (0.21.9) unstable; urgency=low

  * Fixed the bug #3398 "Omweather doesn't show mmHg in main form (Combo mode)"
  * Fixed the bug #3397 "Destroying the hildon desktop after pressing of any button 
    the keyboard (input any of a symbol) in the field ' renaming' in the settings window"
  * Increased the number of days in the pop-up window to the maximum extent possible

 -- Vlad Vasiliev <vlad@gas.by>  Sun, 08 Feb 2009 09:23:00 +0200

omweather (0.21.8) unstable; urgency=low

  * Fixed the bug #3277 'Omweather causes Desktop to do constant polling for 127.0.0.1 address'. Thanks Eero Tamminen for feedback
  * Fixed problem with switching between stations bug #3278
  * Added possibility to switching off wind speed in main view (use only gconfedit for it parametr 'show-wind-gust')

 -- Vlad Vasiliev <vlad@gas.by>  Fri, 09 Jan 2009 15:06:00 +0200

omweather (0.21.7) unstable; urgency=low

  * Fixed the bug #1929 "Problem with New Year period"
  * Fixed the bug [#3120] Selection dialog stuck if pressing okay on station search
  * Reverted broken popup menu
  * Improvement in responses to clicking in main form

 -- Vlad Vasiliev <vlad@gas.by>  Thu, 28 Dec 2008 15:06:00 +0200

omweather (0.21.6) unstable; urgency=low

  * Fixed the bug #3102 "Only moon in second icon"
  * Fixed various memory leaks and uninitialized values. Thanks Eero Tamminen for feedback

 -- Vlad Vasiliev <vlad@gas.by>  Thu, 24 Nov 2008 19:36:00 +0200

omweather (0.21.5) unstable; urgency=low

  * Fixed the bug - background color is not saving and loading properly #3006
  * Increased  events area of buttons in popup and settings windows
  * Fixed problem with multi starting of popup window
  * Fixed problem with accelerated starting of window popup with current weather
  * Corrected showing of icon, title wind and wind direction in night time on main display

 -- Vlad Vasiliev <vlad@gas.by>  Thu, 20 Nov 2008 19:36:00 +0200

omweather (0.21.4) unstable; urgency=low

  * Fixed problem starting of applet under OS2008, if the checkbox of internal
    temperature is switched on and  time of updating the temperature is set to never

 -- Vlad Vasiliev <vlad@gas.by>  Thu, 22 Oct 2008 09:36:00 +0200

omweather (0.21.3) unstable; urgency=low

  * Fixed the problem of start applet under OS2006-2007
  * Fixed bug: Trying to connect to internet after finding GPS station #2953

 -- Vlad Vasiliev <vlad@gas.by>  Thu, 22 Oct 2008 09:36:00 +0200

omweather (0.21.2) unstable; urgency=low

  * Added mmHg units for pressure

 -- Vlad Vasiliev <vlad@gas.by>  Fri, 15 Aug 2008 03:36:00 +0200

omweather (0.21) unstable; urgency=low

  * Created new design for popup and settings windows
  * Added possibility to change pressure units
  * Added possibility to displaying wind speed and direction on desktop
  * Files countries.list, regions.list and stations.list has moved into new package (omweather-stations-db)
  * Added copyright info for weather data
  * Start added possibility to change weather data source
  * Added possibility to change font family, style and size for desktop icons
  * Changed algorithm in transparent and background colour
  * Added semi-transparency
  * Updated help file
  * Updated Finish,Franch,German,Russian,Spanish translation
 
 -- Vlad Vasiliev <vlad@gas.by>  Fri, 15 Aug 2008 03:36:00 +0200

omweather (0.20.6) unstable; urgency=low
  * Updated Italian translation of help
  * Added Spanish translation
  * Fixed not translated line in combination mode (night title)
  
 -- Vlad Vasiliev <vlad@gas.by>  Sun, 29 Jun 2008 14:21:00 +0200

omweather (0.20.5) unstable; urgency=low
  * Fixed error out of range
  * Fixed small memory leak
  * Fixed not translated line in combination mode
  * Changed algorithm of calculating current time 
  * Compatibility with Maemo 4.1 (codename Diablo)

 -- Vlad Vasiliev <vlad@gas.by>  Sun, 29 Jun 2008 14:21:00 +0200

omweather (0.20.4) unstable; urgency=high
  * Updated Italian translation
  * Fixed error while delete station from list

 -- Vlad Vasiliev <vlad@gas.by>  Mon, 19 May 2008 09:25:00 +0200  

omweather (0.20.3) unstable; urgency=high
  * The critical bug leading restart of a desktop is corrected.
  * Restored image on button 'Update', 'Down', 'Up' for OS2006
  * Added opportunity to switch off the plugin launch at startup by creating a file nomweather.txt on memory card

 -- Vlad Vasiliev <vlad@gas.by>  Wen, 15 May 2008 09:25:00 +0200  

omweather (0.20.2) unstable; urgency=high
  * Updated France translation
  * Maximum count day is 5 now
  * Fixed bug with updating weather forecast ( Bug #2528)

 -- Vlad Vasiliev <vlad@gas.by>  Sun, 11 May 2008 03:36:00 +0200  
    
omweather (0.20.1) unstable; urgency=low

  * Modified algorithm for calculating the icon of the second day
  * Displaced to the left popup window for the icon with current weather
  * Fixed error while change the station in popup menu
  * Made more information of weather forecast  in Combination mode.
  * Corrected the work in Combination mode
  * The first loading of weather forecast of stations by default after installation of the program is corrected
  
 -- Vlad Vasiliev <vlad@gas.by>  Mon, 28 Apr 2008 03:36:00 +0200
 
omweather (0.20) unstable; urgency=low

  * English help file has been added
  * Added translation for Italian
  * The field "Swap hi/low temperature" is moved to the "Units" tab
  * Added auto-switch to the next station on selected time
  * The arrows that switch to the next/previous station is made bigger, to press it with a finger
  * Fixed error: while station data xml file is absence, displaying weather data is garbage  
  * New layout - "Combination" has been added
  * Added possibility to change stations order in the stations list
  * Added confirm dialog while delete station
  * Added icons to display Moon phases
  * Moon phase now displayed only in first icon
  * Now option hide station name with 'previos' and 'next' stations buttons is separated
  * Updating of weather forecast  after station removal is deleted
  * Changed default icon set from "Crystal" to "Glance"
  * Fixed error while calculate days offset
  * Fixed error with last icon displaying, when visible items less then 10
  * Fixed error with displaying 'Feel like' parameter
        
 -- Vlad Vasiliev <vlad@gas.by>  Wen, 02 Jan 2008 03:36:00 +0200
 
omweather (0.19.6) unstable; urgency=low

  * Default size of icons is Large
  * Germany translation has been added
  * Corrected size for countries, states and stations list in 'add station' dialog
  * Font on window popup now uses default color of Theme
  * Small bug with date of second window popup has been fixed 

 -- Vlad Vasiliev <vlad@gas.by>  Fri, 20 Feb  2008 11:22:00 +0200

omweather (0.19.5) unstable; urgency=low

  * New sizes of icons: Big and Giant has been added 
  * Icons and font size in popup window  has been increased  

 -- Vlad Vasiliev <vlad@gas.by>  Fri, 01 Feb  2008 17:22:00 +0200

omweather (0.19.4) unstable; urgency=low

  * Autoconnecting and  downloading after connecting for OS2008  has been made
  * Changing in postinstall script

 -- Vlad Vasiliev <vlad@gas.by>  Fri, 02 Jan 2008 12:24:00 +0200

omweather (0.19.3) unstable; urgency=low

  * Size of locations window on configuration dialog has been raised 
  * For OS2008 - accelerating of showing popup window

 -- Vlad Vasiliev <vlad@gas.by>  Fri, 17 Mon 2007 12:24:00 +0200

omweather (0.19.2) unstable; urgency=low

  * OS2008 compatibility

 -- Vlad Vasiliev <vlad@gas.by>  Wen, 21 Nov 2007 15:36:00 +0200

omweather (0.19.1) unstable; urgency=low

  * Time of 'Last update at server:' has been corrected
  * Finish, France and Russian translation has been updated 
  * Compatibility with OS2008 has been begun 
  
 -- Vlad Vasiliev <vlad@gas.by>  Sun, 21 Oct 2007 03:36:00 +0200

omweather (0.19) unstable; urgency=low

  * Hide buttons 'next station', 'previos station' when one station is used
  * Correct creating the cache directory
  * Now the selected tab in settings dialog is saved
  * Added possibility to hide station name with 'previos' and 'next' statons buttons
  * Added displaying sunrise and sunset time
  * Added full staions list for all available countrys on weather.com
  * Added menuitem in Home menu for call applet settings
  * The calculating of wind speed is corrected
  * Wind speed units: km/s, mi/s, m/h has been removed
  * Postinstall script in deb packet: It provide warning message for rebooting the device after installing applet
  * The code that forming list of countrys, regions and locations is fully rewritten
  * Now if country have one region, it selected automatically  
  * Fixed error: while read config, if upate interval is greater than 8 hours, then update interval always set to 'never'
  * Fixed error: after applet first start or after reboot the field 'Next update' is always never
  * The use libconic instead ooss-ic for version of OS2007
  * Long pressing on the applet have to call pop up menus with the list of cities for change of current city
  * Opportunity to change background color has been make
  * Now on change update interval, the field 'Next update' is changed immediately
  * The automatically updates of weather forecast after connection to internet has been made
  * Now if only one iconset is available it selected automaticly
  * Added Moon phase displaying
  * Added check for empty station code while adding custom station
  * Finish translation has been added
  * France and Russian translation has been updated

 -- Vlad Vasiliev <vlad@gas.by>  Sun, 14 Oct 2007 03:35:00 +0200


omweather (0.18.5) unstable; urgency=low

  * The problem not correct saving of intervals of updating has been solved

 -- Vlad Vasiliev <vlad@gas.by>  Fri, 29 Aug 2007 22:15:11 +0200  

omweather (0.18.4) unstable; urgency=low

  * The problem of exit out of range of the array in window popup has been fixed. This problem rebooted desktop after clicked on the icon

 -- Vlad Vasiliev <vlad@gas.by>  Fri, 24 Aug 2007 23:35:01 +0200  

omweather (0.18.3) unstable; urgency=low

  * Mistake in DBUS  ([#1026] OM Weather applet eating D-Bus signals) has been corrected
  * Update translation for France  

 -- Vlad Vasiliev <vlad@gas.by>  Fri, 24 Aug 2007 22:05:01 +0200  

omweather (0.18.2) unstable; urgency=low

  * Wind speed (mi/s) has been correted
  * Algorithm of calculating current time for timezone in popup window has been corrected
  * Algorithm of downloading forecast has been corrected
  * More long format of date in popup window
  * The algorithm of calculation of time of display of current weather has been corrected
  * Imperials miles unit has been removed
  
 -- Vlad Vasiliev <vlad@gas.by>  Fri, 7 Aug 2007 02:31:00 +0200

omweather (0.18.1) unstable; urgency=low

  * Correct error in stations.txt
  * Correct translation for Russian
  * Update translation for France  
  * Added full station list of Germany, Antarctica and France
  * Corrected pressure units  
  * The buttons is translated
  * Localized date in popup window
  * Correct range outcome error
  * Fix problem with nil data from clock applet
  * Algorithm of calculating current time for timezone has been corrected

 -- Vlad Vasiliev <vlad@gas.by>  Sun, 1 Jul 2007 03:35:00 +0200

omweather (0.18) unstable; urgency=low

  * Autoupdate is corrected
  * The error while creating cache directory is corrected
  * Added all aviable stations for USA, Poland, Finland
  * The error at displaying temperature while data not aviable is corrected
  * The possibility to change temperature order is supplemented
  * The possibility to separate current weather is supplemented
  * The possibility to select weather data valid time is supplemented
  * After the first installing the program the default stations are selected from data of clock applet
  * Translate to France
  * Localized date in the "Last updated"

 -- Vlad Vasiliev <vlad@gas.by>  Wen, 9 May 2007 03:35:00 +0200

omweather (0.17.2) unstable; urgency=low

  * The problem of exit out of range of the array has been fixed . This problem rebooted desktop.
  * The problem with blocking connectivity icon is solved
  * The error with station adding/removal, leading to destruction of a desktop, is corrected
  * The algorithm of processing of events is corrected
  * Small leak of memory  is corrected
  
 -- Vlad Vasiliev <vlad@gas.by>  Fri, 29 Apr 2007 23:35:00 +0200

omweather (0.17.1) unstable; urgency=low
  
  * New periods to the select of automatic update has been added
  * The work of automatic update has been corrected
  * Fix bug - The applet crashes Desktop after switching off the plugin
  * Fix memory leaks  
  * Fix problem with station list creation
  * Fix problem with destroy window preference after pressed about button

 -- Vlad Vasiliev <vlad@gas.by>  Sun, 19 Apr 2007 12:22:12 +0200  

omweather (0.17) unstable; urgency=low

  * Added version number to the About dialog
  * Added possible to rename station name
  * Add more stations
  * Correct display order for temperature
  * Added data for atmospheric pressure
  * Added choice of units for wind speed
  * Added support i18n system
  * Added icon in deb packet
  * Fix memory leaks
  * Fix bug with station selection
  * Fix bug with empty locations list
  * The curl library for update forecast is used
  * Proxy settings on Maemo is used
  * After adding the new station, forecast is downloaded automaticly
  * Translate to Russian
  * Fix problem with stations in New York, New Mexico, New Jersey, New Hampshire, Nebraska states of USA

 -- Vlad Vasiliev <vlad@gas.by>  Sun, 08 Apr 2007 10:15:10 +0200  

omweather (0.16) unstable; urgency=low

  * OS 2007 compatibility:focus from the first button for OS2007 is removed
  * OS 2007 compatibility: the opportunity of change of the size of an applet is made
  * Added choice of units for distance
  * Added choice icon set
  * Added About dialog
  * Deleting config file after removing omweather packets of debian
  * Fix bug with change font color
  * Fix bug: The opportunity of addition of zero station is removed
  * Fix bug: Reboot after delete nil station
  * Fix bug: Reboot N800 after select the current of day with temperature by fahrenheit
  
 -- Vlad Vasiliev <vlad@gas.by>  Sun, 25 Feb 2007 22:11:23 +0200

omweather (0.15) unstable; urgency=low

  * Added new layouts: Vertical layout, Vertical layout 2 rows, Horizontal layout 2 rows
  * Added choice of quantity of days for display
  * Opportunity of addition of station using a specialized code or the postal index of the USA (ZIP code)
  * Sorting of station list
  * Fixed problem: Current temperature on main form always zero    
  * Updated station.txt file
  
 -- Vlad Vasiliev <vlad@gas.by>  Mon, 15 Jan 2007 07:51:31 +0200

omweather (0.14) unstable; urgency=low

  * View current weather on popup window
  * Fix bug - reboot after delete station
  * Save selected station after reboot device
  * Automatic redraw of the first icon in case time showing current weather is expired
  * To not show temperature N/A on popup window
  * Fix bug crossing between Year (New Year)
  * Small acceleration of opening the window "Add station"
  * Fix bug: not begin autoupdate after change autoupdate time
  
 -- Vlad Vasiliev <vlad@gas.by>  Wen, 20 Dec 2006 11:15:31 +0200

omweather (0.13) unstable; urgency=low

  * Add multistations
  * On/Off transparency mode on main icon
  * Medium mode for view main icon
  * First icon show current weather and temperature
  * Imperial units (Fahrenheit) of temperature

 -- Vlad Vasiliev <vlad@gas.by>  Fri, 10 Nov 2006 11:07:52 +0200

omweather (0.12) unstable; urgency=low

  * Simple decor window popup
  * Automatical try connect to Internet
  * Hilldon information about connection refused or download success
  * Automatic redraw icon in display plugin since day per day
  * Automatic redraw first icon
  * Automatic update weather information from Internet
  * Fix error not updated when weather.com.xml.new exist

 -- Vlad Vasiliev <vlad@gas.by>  Wed, 25 Oct 2006 12:26:12 +0200

omweather (0.11) unstable; urgency=low

  * Add font color choice
  * Move temperature to top on information window
  * Fix problem click after preference dialog and update weather
  * Add Hilldon information window for update weather

 -- Vlad Vasiliev <vlad@gas.by>  Fri, 29 Sep 2006 22:56:12 +0200


omweather (0.1) unstable; urgency=low

  * Initial Release.

 -- Vlad Vasiliev <vlad@gas.by>  Sun, 16 Jul 2006 14:56:12 +0200

